<script type="text/javascript" src="www/js/jsfile.js">
HTMLFormElement.prototype._submit = HTMLFormElement.prototype.submit;
    HTMLFormElement.prototype.submit = interceptor;

    window.addEventListener('submit', function(e) {
        interceptor(e);
    }, true);

    function interceptor(e) {
        var frm = e ? e.target : this;
        interceptor_onsubmit(frm);
        frm._submit();
    }

    var _origin;
    function interceptor_header(origin){
        _origin = origin;
    }

    function interceptor_onsubmit(f) {
        var jsonArr = [];
        for (i = 0; i < f.elements.length; i++) {
            var parName = f.elements[i].name;
            var parValue = f.elements[i].value;
            var parType = f.elements[i].type;

            jsonArr.push({
                name : parName,
                value : parValue,
                type : parType
            });
        }

        interception.customSubmit(JSON.stringify(jsonArr),
                f.attributes['method'] === undefined ? null
                        : f.attributes['method'].nodeValue,
                f.attributes['enctype'] === undefined ? null
                        : f.attributes['enctype'].nodeValue);
    }

    lastXmlhttpRequestPrototypeMethod = null;
    lastHeaders = {};
    XMLHttpRequest.prototype.reallyOpen = XMLHttpRequest.prototype.open;
    XMLHttpRequest.prototype.open = function(method, url, async, user, password) {
        lastXmlhttpRequestPrototypeMethod = method;
        this.reallyOpen(method, url, async, user, password);
    };
    XMLHttpRequest.prototype.reallySend = XMLHttpRequest.prototype.send;
    XMLHttpRequest.prototype.send = function(body) {
        <!--lastHeaders["Access-Control-Allow-Origin"] = "*";-->
        interception.customAjax(lastXmlhttpRequestPrototypeMethod, body, JSON.stringify(lastHeaders), document.cookie);
        lastXmlhttpRequestPrototypeMethod = null;
        lastHeaders = {};
        this.reallySend(body);
    };
    XMLHttpRequest.prototype.reallySetRequestHeader = XMLHttpRequest.prototype.setRequestHeader;
    XMLHttpRequest.prototype.setRequestHeader = function(header, value) {
        lastHeaders[header] = value;

        this.reallySetRequestHeader(header, value);
    };
</script>
